import 'dart:io';

import 'package:cloud_adapter/cloud_adapter.dart';
import 'package:test/test.dart';

void main() {
  group('json tests', () {
    setUp(() {
      ReplicationController _controller = ReplicationService();
      _controller.initGeigerStorage();
      _controller.updateRecommendations();
    });
    test('updateRecommendations OK', () async {
      _controller.createRecommendation();
      expect(dotenv.env['API_URI'], 'https://37.48.101.252:8443/geiger-cloud/api');
    });
    test('cert path loaded', () async {
      expect(dotenv.env['CERT_PATH'], 'packages/cloud_adapter/lib/asset/resources/cloud_adapter_client.p12');
    });
  });

  group('production', () {
    setUp(() {
      dotenv.testLoad(fileInput: File('lib/asset/env.production').readAsStringSync());
    });
    test('api uri loaded', () async {
      expect(dotenv.env['API_URI'], 'https://cloud.geiger.cat/geiger-cloud/api');
    });
    test('cert path loaded', () async {
      expect(dotenv.env['CERT_PATH'], 'packages/cloud_adapter/lib/asset/resources/cloud_adapter_client.p12');
    });
  });
}